# Grafana SMS alert

Send Grafana alerts via SMS to a mobile phone, using a GSM modem that
understands AT commands, such as the Huawei E3131 broadband USB dongle.
Fancy SaaS alerting services are great, but what if you want to know
that the internet is down?

This runs as a service on `localhost:8201` - once you've started it,
create a "Webhook" type contact point in your Grafana instance,
with the url `http://localhost:8201`.

See Grafana [alerting contact points](https://grafana.com/docs/grafana/latest/alerting/contact-points/) documentation for background.


## Building and use (Nix)

### Try it quickly

    $ nix-build build.nix
	$ cp config.json.example config.json # and edit it
	$ ./result/bin/grafana-sms-alert config.json

    $ curl -v --data @sample-alert.json http://localhost:8201

### Install it meaningfully

The derivation in `default.nix` works with `callPackage`, so see
`module-example.nix` for a sketch.
